Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456312 - Review Request: netbeans-javaparser - NetBeans Java Parser
Summary: Review Request: netbeans-javaparser - NetBeans Java Parser
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 456337
TreeView+ depends on / blocked
 
Reported: 2008-07-22 19:04 UTC by Victor G. Vasilyev
Modified: 2008-08-29 12:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-29 12:09:57 UTC
bdpepple: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Victor G. Vasilyev 2008-07-22 19:04:56 UTC
Spec URL: http://nbi.netbeans.org/files/documents/210/2052/netbeans-javaparser.spec
SRPM URL: http://nbi.netbeans.org/files/documents/210/2053/netbeans-javaparser-6.1-1.fc10.src.rpm
Description: 
Java parser to analyse Java source files inside of the NetBeans IDE

Comment 1 Victor G. Vasilyev 2008-07-31 17:12:28 UTC
This is my first contribution so I need a sponsor please.

Comment 2 Brian Pepple 2008-08-11 23:48:35 UTC
MD5Sum:
668f3fa1d2189f58f02309d518f1aa14  nb-javaparser-6.1-src.zip

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Valid license tag
* Buildroot has all required elements
* All paths begin with macros
* Files have appropriate permissions and owners
* Package includes no pre-built jars
* jars files are located in %{_javadir}
* Package builds in koji/mock.
* Package installs and uninstalls cleanly

Bad:
* BR should include java-devel & jpackage-utils.  Refer to
http://fedoraproject.org/wiki/Packaging/Java#BuildRequires_and_Requires
* Group Tag is not from the official list.
http://fedoraproject.org/wiki/RPMGroups
* rpmlint produces the following warnings:
netbeans-javaparser.noarch: W: no-documentation
netbeans-javaparser.noarch: W: non-standard-group Development/Java
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 3 Victor G. Vasilyev 2008-08-13 15:40:38 UTC
The next release is prepared for review.
Spec URL:
http://nbi.netbeans.org/files/documents/210/2052/netbeans-javaparser.spec
SRPM URL:
http://nbi.netbeans.org/files/documents/210/2107/netbeans-javaparser-6.1-2.fc10.src.rpm

Changes:
* BR should include java-devel & jpackage-utils.
- java-devel & jpackage-utils are added as the build requirements
- jpackage-utils is added as the run-time requirement
* Group Tag is not from the official list. 
+ netbeans-javaparser.noarch: W: non-standard-group Development/Java
- An appropriate value of Group Tag is chosen from the official list
* netbeans-javaparser.noarch: W: no-documentation
- The package documentation is added

rpmlint shows no errors and no warnings against both SRPM and RPM.

Comment 4 Brian Pepple 2008-08-28 18:43:08 UTC
Victory, sorry for the late approval on this, but I've been swamped at work. Anyway, the issues from comment #2 have been resolved.

+1 APPROVED.

Comment 5 Victor G. Vasilyev 2008-08-28 18:59:47 UTC
New Package CVS Request
=======================
Package Name: netbeans-javaparser
Short Description: NetBeans Java Parser
Owners: victorv
Branches:
InitialCC:

Comment 6 Kevin Fenzi 2008-08-29 04:52:23 UTC
cvs done.

Comment 7 Victor G. Vasilyev 2008-08-29 12:09:57 UTC
Successful koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=793056


Note You need to log in before you can comment on or make changes to this bug.